Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class DefaultRegistryBroker

    java.lang.Object
      org.mule.registry.AbstractRegistryBroker
          org.mule.registry.DefaultRegistryBroker

All Implemented Interfaces:
  Disposable, Initialisable, Registry, RegistryBroker

    public class DefaultRegistryBroker

extends AbstractRegistryBroker

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultRegistryBroker(MuleContext context)`

Method Summary
`void` | `addRegistry(Registry registry)`
`protected Collection<Registry>` | `getRegistries()`
`void` | `removeRegistry(Registry registry)`

Methods inherited from class org.mule.registry.AbstractRegistryBroker
`dispose, fireLifecycle, get, getRegistryId, initialise, isReadOnly, isRemote, lookupByType, lookupObject, lookupObject, lookupObjects, lookupObjectsForLifecycle, registerObject, registerObject, registerObjects, unregisterObject, unregisterObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegistryBroker

    public DefaultRegistryBroker(MuleContext context)

Method Detail

### addRegistry

    public void addRegistry(Registry registry)

### removeRegistry

    public void removeRegistry(Registry registry)

### getRegistries

    protected Collection<Registry> getRegistries()

  Specified by:
    `getRegistries` in class `AbstractRegistryBroker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.